Assign a Device to Element Manager for FCAPS Management

post

/rest/{versionId}/configuration/devices

Use this (POST) method to assign a device to be managed by Session Element Manager. Once a device is assigned, Session Element Manager starts managing the device by periodically polling for health statistics and processing alarms sent from the device. To provision the device configuration, the device must be assigned to Session Element Manager.

Request

Path Parameters
Back to Top

Response

200 Response

Assigned a device to config manager successfully.

401 Response

The user is unauthorized.

403 Response

The user doesn't have the required permission

404 Response

The resource URI of your input request cannot be found

409 Response

The device is already associated with configuration manager

500 Response

An internal server error has occurred while processing the request.
Back to Top

Examples

Examples of Accessing the API

See Authenticate page to acquire a token.

The following example shows how to use curl to assign a Device to Element Manager for FCAPS Management.

curl -X POST \
    -d @request.json \
    -H @auth_header.txt \
    "https://<tenant-url>/<tenant-name>/osdmc/ums/rest/<versionId>/configuration/devices"

The following example shows how to use Python to assign a Device to Element Manager for FCAPS Management.

import requests
import json
headers = {
	"Accept": "application/json",
	"Authorization": "Bearer <auth-token>"
}
with open("request.json") as f: data = json.load(f)
url  = "https://<tenant-url>/<tenant-name>/osdmc/ums/rest/<versionId>/configuration/devices"
resp = requests.post(url, headers=headers, data=data)

Example of the Request Body

The following shows an example of the contents of the request file sent as the request body.

{
  "deviceName": "OSDMC-vECB-9",
  "nfName": "ecb9"
}    

Example of the Response Body

The following example shows the contents of the response body.

{
  "bootstrapState": "Activated",
  "connectivityStatus": true,
  "id": "4",
  "ip": "192.0.2.10",
  "key": "OSDMC-vECB-9_192.0.2.10",
  "manageable": true,
  "name": "OSDMC-vECB-9",
  "nfId": "44",
  "nfName": "ecb9",
  "parentGroupId": "44",
  "platformInfo": {
    "platform": "NNOSVM"
  },
  "siteId": "1",
  "softwareInfo": {
    "configVersion": "56",
    "version": "PCZ410p5"
  },
  "pendingChanges": "0"
}    
Back to Top